Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » Working with multiple installed versions of your language plugin
Working with multiple installed versions of your language plugin [message #1783410] Mon, 12 March 2018 18:02 Go to next message
Larry LeBron is currently offline Larry LeBronFriend
Messages: 124
Registered: October 2015
Senior Member
Is there a good workflow recommendation for managing multiple versions of an xtext language plugin?

Ideally, I would have multiple different versions of my language feature installed in eclipse, choosing which version to run with when I load a workspace. Is that possible?

All of my language feature plugin repositories are local.

Thanks!
Re: Working with multiple installed versions of your language plugin [message #1783414 is a reply to message #1783410] Mon, 12 March 2018 19:20 Go to previous messageGo to next message
Karsten Thoms is currently offline Karsten ThomsFriend
Messages: 612
Registered: July 2009
Location: Dortmund, Germany
Senior Member

This is not possible. UI plugins have to be singletons, this you can only use one version per installation.
Per language version you need to have one Eclipse Version.
If you manage your installations with Oomph you can easily have one install per setup and manage all shared plugins in a bundle pool.
Re: Working with multiple installed versions of your language plugin [message #1783418 is a reply to message #1783414] Mon, 12 March 2018 21:31 Go to previous message
Larry LeBron is currently offline Larry LeBronFriend
Messages: 124
Registered: October 2015
Senior Member
Ah, ok.

So eclipse plugin installations are managed per eclipse installation, even though my system has globally-shared eclipse-created directories?

e.g. on my system I have only single versions of:
~/.eclipse
~/.p2
~/Library/Preference/org.eclipse.eclipse.plist
~/Library/Preference/org.eclipse.eclipse.plist/org.eclipse.oomph.setup.installer.product

etc.


Multiple eclipse installations can run with different sets of plugins installed, all sharing these global files?

Thanks!
Previous Topic:Unable to run workflow in RCP
Next Topic:Use of MapMaker in DirtyStateManager
Goto Forum:
  


Current Time: Wed Sep 19 22:28:18 GMT 2018

Powered by FUDForum. Page generated in 0.01684 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top